Bug 1207574 - libinput makes X crash when connecting Logitech G600 mouse
Summary: libinput makes X crash when connecting Logitech G600 mouse
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libinput
Version: 22
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Peter Hutterer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-31 08:42 UTC by Edward O
Modified: 2015-04-22 22:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-19 09:52:57 UTC
Type: Bug


Attachments (Terms of Use)
Xorg.log after crash (21.62 KB, text/plain)
2015-03-31 08:43 UTC, Edward O
no flags Details
lsusb -D /dev/bus/usb/001/013 (3.07 KB, text/plain)
2015-03-31 09:36 UTC, Edward O
no flags Details


Links
System ID Private Priority Status Summary Last Updated
FreeDesktop.org 89783 0 None None None Never

Description Edward O 2015-03-31 08:42:52 UTC
Description of problem:
When I dock my Dell E7440 on current Fedora 22 beta TC5, Xorg crashes immediately and throws me to the a blank screen with the few boot kernel errors.

Version-Release number of selected component (if applicable):
# dnf info libinput
Using metadata from Mon Mar 30 00:45:08 2015
Installed Packages
Name        : libinput
Arch        : x86_64
Epoch       : 0
Version     : 0.13.0
Release     : 1.fc22
Size        : 111 k
Repo        : @System

# dnf info Xorg
Using metadata from Mon Mar 30 00:45:08 2015
Installed Packages
Name        : xorg-x11-server-Xorg
Arch        : x86_64
Epoch       : 0
Version     : 1.17.1
Release     : 7.fc22
Size        : 3.5 M
Repo        : @System


Steps to Reproduce:
1. Dock an E7440 to an e-Port
2. Cry

Actual results:

[ 17569.522] (EE) 0: /usr/libexec/Xorg (OsLookupColor+0x139) [0x599dd9]
[ 17569.522] (EE) 1: /lib64/libc.so.6 (__restore_rt+0x0) [0x7f5f59dc8b1f]
[ 17569.522] (EE) 2: /lib64/libinput.so.10 (libinput_device_config_scroll_get_default_button+0x354e) [0x7f5f5263d69e]
[ 17569.522] (EE) 3: /lib64/libinput.so.10 (libinput_device_config_scroll_get_default_button+0x8ef3) [0x7f5f52648fb3]
[ 17569.522] (EE) 4: /lib64/libinput.so.10 (libinput_device_config_scroll_get_default_button+0x9073) [0x7f5f52649353]
[ 17569.522] (EE) 5: /lib64/libinput.so.10 (libinput_path_add_device+0xed) [0x7f5f5264065d]
[ 17569.523] (EE) 6: /usr/lib64/xorg/modules/input/libinput_drv.so (_init+0x1664) [0x7f5f5284e544]
[ 17569.523] (EE) 7: /usr/libexec/Xorg (xf86DeleteInput+0x1d0) [0x487a30]
[ 17569.523] (EE) 8: /usr/libexec/Xorg (config_fini+0x103b) [0x49e78b]
[ 17569.523] (EE) 9: /usr/libexec/Xorg (config_fini+0x1623) [0x49fa23]
[ 17569.523] (EE) 10: /usr/libexec/Xorg (config_init+0x9) [0x49ce79]
[ 17569.523] (EE) 11: /usr/libexec/Xorg (InitInput+0xbb) [0x47b33b]
[ 17569.523] (EE) 12: /usr/libexec/Xorg (remove_fs_handlers+0x3d9) [0x43e229]
[ 17569.524] (EE) 13: /lib64/libc.so.6 (__libc_start_main+0xf0) [0x7f5f59db4790]
[ 17569.524] (EE) 14: /usr/libexec/Xorg (_start+0x29) [0x428659]
[ 17569.524] (EE) 15: ? (?+0x29) [0x29]
[ 17569.524] (EE)
[ 17569.524] (EE) Segmentation fault at address 0x14
[ 17569.524] (EE)
Fatal server error:
[ 17569.524] (EE) Caught signal 11 (Segmentation fault). Server aborting

(Full Xorg.log.0 attached)

Expected results:
At least, something similar to https://bugzilla.redhat.com/show_bug.cgi?id=1111319 (same hardware, older Fedora)

Additional info:

I can provide additional dock hardware details, I just don't know where to look. 

Intel Core i5-4310U
Linux 4.0.0-0.rc4.git0.1.fc22.x86_64 #1 SMP
==============================================================================
$ lspci
00:02.0 VGA compatible controller: Intel Corporation Haswell-ULT Integrated Graphics Controller (rev 0b)
00:03.0 Audio device: Intel Corporation Haswell-ULT HD Audio Controller (rev 0b)
00:14.0 USB controller: Intel Corporation 8 Series USB xHCI HC (rev 04)
00:16.0 Communication controller: Intel Corporation 8 Series HECI #0 (rev 04)
00:16.3 Serial controller: Intel Corporation 8 Series HECI KT (rev 04)
00:19.0 Ethernet controller: Intel Corporation Ethernet Connection I218-LM (rev 04)
00:1b.0 Audio device: Intel Corporation 8 Series HD Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation 8 Series PCI Express Root Port 1 (rev e4)
00:1c.3 PCI bridge: Intel Corporation 8 Series PCI Express Root Port 4 (rev e4)
00:1c.4 PCI bridge: Intel Corporation 8 Series PCI Express Root Port 5 (rev e4)
00:1d.0 USB controller: Intel Corporation 8 Series USB EHCI #1 (rev 04)
00:1f.0 ISA bridge: Intel Corporation 8 Series LPC Controller (rev 04)
00:1f.2 RAID bus controller: Intel Corporation 82801 Mobile SATA Controller [RAID mode] (rev 04)
00:1f.3 SMBus: Intel Corporation 8 Series SMBus Controller (rev 04)
02:00.0 Network controller: Intel Corporation Wireless 7260 (rev 73)
03:00.0 SD Host controller: O2 Micro, Inc. SD/MMC Card Reader Controller (rev 01)
==============================================================================

Comment 1 Edward O 2015-03-31 08:43:53 UTC
Created attachment 1008892 [details]
Xorg.log after crash

Comment 2 Edward O 2015-03-31 09:35:11 UTC
Edit: It is the logiterch G600 mouse which actually causing the libinput/X crash. Attaching lsusb.

Comment 3 Edward O 2015-03-31 09:36:50 UTC
Created attachment 1008911 [details]
lsusb -D /dev/bus/usb/001/013

Comment 4 Jonathan Briggs 2015-04-02 23:52:08 UTC
I appear to have exactly this crash when adding a Bluetooth Apple Magic Mouse.

This is the last bit before the crash:

 (II) config/udev: Adding input device lynx’s mouse (/dev/input/event18)
 (**) lynx’s mouse: Applying InputClass "evdev pointer catchall"
 (**) lynx’s mouse: Applying InputClass "libinput pointer catchall"
 (II) systemd-logind: got fd for /dev/input/event18 13:82 fd 29 paused 0
 (II) Using input driver 'libinput' for 'lynx’s mouse'
 (**) lynx’s mouse: always reports core events
 (**) Option "Device" "/dev/input/event18"
 (II) input device 'lynx’s mouse', /dev/input/event18 is tagged by udev as: Mouse
 (EE)

Comment 5 Peter Hutterer 2015-04-07 06:44:56 UTC
Can you post the output of evemu-record from the logitech device? or the apple one, either one will do. thanks.

Comment 6 Fedora Update System 2015-04-07 23:37:09 UTC
libinput-0.13.0-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/libinput-0.13.0-2.fc22

Comment 7 Fedora Update System 2015-04-08 06:22:27 UTC
libinput-0.13.0-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/libinput-0.13.0-3.fc22

Comment 8 Fedora Update System 2015-04-08 18:35:59 UTC
Package libinput-0.13.0-3.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libinput-0.13.0-3.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-5755/libinput-0.13.0-3.fc22
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2015-04-08 22:05:10 UTC
libinput-0.13.0-4.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/libinput-0.13.0-4.fc22

Comment 10 Jonathan Briggs 2015-04-09 16:04:18 UTC
libinput-0.13.0-4.fc22 works now. My Apple magic mouse connects with Bluetooth and works.

Except for the constant every 15s disconnect/reconnect dance it is doing. But I do not think that is libinput's problem.

Comment 11 Fedora Update System 2015-04-17 00:34:58 UTC
libinput-0.13.0-6.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/libinput-0.13.0-6.fc22

Comment 12 Edward O 2015-04-19 09:52:57 UTC
The logitech G600 mouse works with libinput-0.13.0-4.fc22 too. (Thanks !)

Comment 13 Fedora Update System 2015-04-22 22:46:28 UTC
libinput-0.13.0-6.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.